org.apache.nutch.storage

## Enum ProtocolStatus.Field

- java.lang.Object
- - java.lang.Enum<ProtocolStatus.Field>
  - - org.apache.nutch.storage.ProtocolStatus.Field

- All Implemented Interfaces:
    Serializable, Comparable<ProtocolStatus.Field>
  Enclosing class:
    ProtocolStatus

      public static enum ProtocolStatus.Field
      extends Enum<ProtocolStatus.Field>

  Enum containing all data bean's fields.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARGS`
    `CODE`
    `LAST_MODIFIED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex()` Gets field's index.
    `String` | `getName()` Gets field's name.
    `String` | `toString()` Gets field's attributes to string.
    `static ProtocolStatus.Field` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ProtocolStatus.Field[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CODE

          public static final ProtocolStatus.Field CODE

    - #### ARGS

          public static final ProtocolStatus.Field ARGS

    - #### LAST_MODIFIED

          public static final ProtocolStatus.Field LAST_MODIFIED

  - ### Method Detail

    - #### values

          public static ProtocolStatus.Field[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProtocolStatus.Field c : ProtocolStatus.Field.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProtocolStatus.Field valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getIndex

          public int getIndex()

      Gets field's index.
      Returns:
        int field's index.

    - #### getName

          public String getName()

      Gets field's name.
      Returns:
        String field's name.

    - #### toString

          public String toString()

      Gets field's attributes to string.
      Overrides:
        `toString` in class `Enum<ProtocolStatus.Field>`
      Returns:
        String field's attributes to string.

Copyright © 2015 The Apache Software Foundation